/* =========================
   WRAPPER
========================= */

.bans-wrapper {
    width: 70%;
    min-height: 500px;
    margin: 0 auto;

    display: flex;
    flex-direction: column;
    flex-wrap: wrap;

    opacity: 0;
    transform: translateY(10px);
    animation: fadeUp 0.4s ease forwards;
}

/* =========================
   USER BAN NOTICE
========================= */

.user-ban-notice{
    background-color: rgba(255, 38, 0, 0.25);
    border: solid 1px rgb(255, 38, 0);
    border-radius: 0.5rem;
    width:100%;
    margin: 0 auto;
    margin-top: 20px;
    margin-bottom: 20px;
    padding: 20px;
}


.user-ban-notice > p{
    font-size: 18px;
    line-height: 25px;
    color: rgb(255, 255, 255);
}


/* =========================
   TOP BAR
========================= */

.bans-nav {
    width: 100%;
    margin: 0 auto 15px;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    gap: 5px;
    padding: 15px;
    background-color: var(--container-bg);
    border-radius: 0.5rem;
    user-select: none;
}

.bans-nav-filters {
    display: flex;
    gap: 10px;
    width: fit-content;
}

.bans-nav-filters input {
    padding: 8px 10px;
    border: none;
    background-color: var(--input-bg);
    color: #fff;
    border-radius: 0.4rem;
    outline: none;
}

.bans-nav-filters button {
    padding: 8px 12px;
    border: none;
    background-color: var(--input-bg);
    border-radius: 0.4rem;
    color: #fff;
    cursor: pointer;
    transition: 0.15s;
}

.bans-nav-filters button:hover {
    background-color: var(--main-orange);
}

.add-ban-button:hover{
    background-color: rgba(48, 143, 48, 1) !important;
}

.add-ban-button > svg{
    fill: white;
    width: 25px;
    height: 25px;
}

.bans-nav-pages{
 width: fit-content;
    display: flex;
    flex-direction: row;
    align-items: center;
}

.page-btn{
    padding: 2px 5px;
    cursor: pointer;
    background: #f5f5f5;
    border: none;
    background: transparent;
    color: rgb(197, 197, 197);
    font-size: 18px;
}

.page-btn.active{
    color: white; 
    font-weight: bold;
}


#myRecordsBtn.active, #bansBtn.active, #mutesBtn.active {
    background-color: var(--main-orange);
    font-weight: bold;
}

.banmute-switch{
    display: flex;
    flex-direction: row;
    gap: 0;
}

#bansBtn{
    border-radius: 0.4rem 0 0 0.4rem;
} 
#mutesBtn{
    border-radius:  0 0.4rem 0.4rem 0;
}





/* =========================
   TABLE
========================= */

.ban-row-icon{
    fill: rgb(197, 197, 197);
    width: 25px;
    height: 25px;
}

.bans-list{
    width: 100%;
    border-collapse: collapse;
    margin: 0 auto;
    border-radius: 0.5rem;
    background-color: var(--container-background);
}

.bans-list tr{
    color: rgba(197, 197, 197);
    cursor: pointer;
}

.bans-list tr:hover{
    color: white;
    background-color: rgba(49, 49, 49, 0.1);
}

.bans-list th, .bans-list td {
    padding: 10px;
    text-align: center;
}

.bans-list td {
    font-size: 20px;
}

.bans-list th:nth-of-type(2){
    width: min-content;
}

.bans-list td:nth-of-type(2){
    width: min-content;
}

.bans-list td:nth-of-type(3){
    font-weight: bold;
}

.bans-list th {
    cursor:auto;
    background-color: var(--component-bg);
    font-size: 18px;
}

.bans-list th:hover {
    background:  rgb(49, 49, 49);
}

.bans-list th:nth-of-type(1){
    border-radius: 0.5rem 0 0 0.5rem;
}

.bans-list th:nth-last-of-type(1) {
    border-radius: 0 0.5rem 0.5rem 0;
}

.empty-state{
    padding: 40px 0 !important;
}

/* =========================================================
   PROGRESS BAR
========================================================= */

.progress{
    position: relative;
    background-color: var(--component-background);
    color: white !important;
    width:100%;
    height:30px;
    font-size:20px;
    font-weight:700;
    min-width: 125px;
}

.progres-cislo{
    position: absolute;
    left: 50%;
    transform: translate(-50%, 0);
    line-height: 30px;
}

/* =========================
   MODAL OVERLAY
========================= */

.modal-overlay {
    position: fixed;
    inset: 0;
    background: rgba(0,0,0,0.7);
    display: none;
    justify-content: center;
    align-items: center;
}

/* =========================
   MODAL BOX
========================= */

.modal-content {
    background: var(--container-bg);
        backdrop-filter: blur(6px);
    -webkit-backdrop-filter: blur(6px);
    padding: 20px;
    min-width: 320px;
    color: #fff;
    width: 500px;
    border-radius: 0.4rem;
}

/* modal buttons */
.modal-actions {
    margin-top: 15px;
    display: flex;
    justify-content: end;
    gap: 10px;
}

.modal-close-button{
    position: absolute;
    right: 10px;
    top: 10px;
    background: transparent;
    border: none;
}

.modal-close-button svg{
    fill: rgb(197, 197, 197);
    width: 17px;
    height: 17px;
}

.modal-close-button:hover svg{
    fill: white;
}

.modal-unban-buton, .modal-delete-buton{
    padding: 3px 8px;
    border-radius: 0.4rem;
    border: none;
    color: white;
    font-weight: 500;
    font-size: 20px;
}

.modal-unban-buton{
    background-color: rgba(48, 143, 48, 0.75);
}

.modal-unban-buton:hover{
    background-color: rgba(48, 143, 48, 1);
}

.modal-delete-buton{
    background-color: rgba(184, 41, 41, 0.75);
}

.modal-delete-buton:hover{
    background-color: rgba(184, 41, 41, 1);
}


/* =========================
   MODAL BAN INFO DETAIL
========================= */

.ban-detail-info{
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 5px;
}

.ban-detail-info-row{
    width: 100%;
    display: flex;
    justify-content: space-between;
}

.ban-detail-info-row > div{
    width: fit-content;
    font-size: 20px;
    color: rgb(197, 197, 197);
}

.ban-detail-info-row > div:nth-of-type(2){
    color: white;
    font-weight: 600;
}

.detail-info-link{
    width: fit-content;
    cursor: pointer;
}

.detail-info-link:hover{
    color: rgb(197, 197, 197);
}


/* =========================
   MODAL ADD BAN
========================= */

.addban-form-inputs{
    display: flex;
    flex-direction: column;
    gap: 5px;
}

.addban-form-inputs input, .addban-form-inputs select{
    width: 100%;
    border: none;
    background-color: var(--input-bg);
    padding: 3px 10px;
    border-radius: 0.4rem;
    font-size: 20px;
    color: white;
}

.modal-addban-buton{
    width: 100%;
    padding: 5px 10px;
    background-color: var(--input-bg);
    font-size: 23px;
    border-radius: 0.4rem;
    border: none;
    margin-top: 15px;
    color: white;
}

.modal-addban-buton:hover{
    background-color: rgba(48, 143, 48, 1);
}


@media screen and (max-width: 910px){

    .bans-wrapper{
        width: 90%;
    }

}